%define upstream_name    JSON-MaybeXS
%define upstream_version 1.004004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use L<Cpanel::JSON::XS> with a fallback to L<JSON::PP>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cpanel::JSON::XS) >= 2.331.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::PP) >= 2.273.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs) >= 0.2.6
BuildArch:  noarch

%description
This module tries to load the Cpanel::JSON::XS manpage, and if that fails
instead tries to load the JSON::PP manpage. If neither is available, an
exception will be thrown.

It then exports the 'encode_json' and 'decode_json' functions from the
loaded module, along with a 'JSON' constant that returns the class name for
calling 'new' on.

If you're writing fresh code rather than replacing JSON.pm usage, you might
want to pass options as constructor args rather than calling mutators, so
we provide our own 'new' method that supports that.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Sep 22 2022 tv <tv> 1.4.4-1.mga9
+ Revision: 1891513
- update to 1.004004

* Mon Mar 21 2022 umeabot <umeabot> 1.4.3-2.mga9
+ Revision: 1813575
- Mageia 9 Mass Rebuild

* Sat Nov 14 2020 tv <tv> 1.4.3-1.mga8
+ Revision: 1645864
- update to 1.004003

* Wed May 20 2020 tv <tv> 1.4.2-1.mga8
+ Revision: 1586301
- update to 1.004002

* Sat May 02 2020 tv <tv> 1.4.1-1.mga8
+ Revision: 1577718
- update to 1.004001

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1504843
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1284415
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 1.4.0-1.mga7
+ Revision: 1220767
- update to 1.004000

* Sun Jan 28 2018 shlomif <shlomif> 1.3.10-1.mga7
+ Revision: 1197638
- update to 1.003010

* Fri Jul 28 2017 shlomif <shlomif> 1.3.9-1.mga7
+ Revision: 1131706
- New version 1.3.5

* Sun Jun 19 2016 pterjan <pterjan> 1.3.5-3.mga6
+ Revision: 1028845
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.3.5-2.mga6
+ Revision: 965617
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 sander85 <sander85> 1.3.5-1.mga6
+ Revision: 836296
- update to 1.003005

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 747423
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 685142
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 1.2.2-1.mga5
+ Revision: 617838
- update to 1.002002

* Thu Jan 16 2014 shlomif <shlomif> 1.1.0-1.mga5
+ Revision: 566684
- imported package perl-JSON-MaybeXS

